Subject: bug#65190: 30.0.50; Emacs doesn't build with `--with-mailutils` by default when mailutils is installed on macOS

From: Po Lu <[email-masked]>
Date: Fri, 11 Aug 2023 09:00:53 +0800

Mou Tong <[email-masked]> writes:

> Ah, sorry.  I forgot to run `./autogen.sh` again to generate a new
> `configure`.
>
> After change `configure.ac` like you said before, and exec
> `./autogen.sh` to generate a new `configure`. Running `./configure`
> works as I expected.
>
> Po Lu <[email-masked]> writes：
>
>> Does the problem resolve itself if you change:
>>
>>     [AS_IF([test "x$XCONFIGURE" != "xandroid" \
>>             && test "$with_android" = "no"],
>>       [(movemail --version) >/dev/null 2>&1 || with_mailutils=no],
>>
>>
>> to read
>>
>>     [AS_IF([test "x$XCONFIGURE" != "xandroid"],
>>       [(movemail --version) >/dev/null 2>&1 || with_mailutils=no],
>>
>> ?
>
> This had solved the problem ;)

I fixed this differently.  Would you please pull from master and ack?